import React from "react";
import { IConfigStorage } from "@appglue/common/dist/Common/IConfigStorage";
import { FlowEditContext } from "../FlowEditContext";
import { FlowStepData } from "@appglue/common/dist/Flow/Steps/FlowStepData";
export declare abstract class BaseFlowStepEditor extends React.Component implements IConfigStorage {
    abstract renderActionUI: () => JSX.Element;
    constructor();
    private _editContext?;
    get editContext(): FlowEditContext;
    set editContext(value: FlowEditContext);
    get shouldShowDescription(): boolean;
    set shouldShowDescription(value: boolean);
    get description(): string;
    set description(value: string);
    get name(): string | undefined;
    set name(value: string | undefined);
    get _id(): string;
    set _id(value: string);
    get icon(): JSX.Element;
    get type(): string;
    abstract getStorageData(): object;
    abstract setStorageData(data: object): void;
    abstract getFlowStepData(): FlowStepData;
    stepUpdate(): void;
    designerUpdate(): void;
    abstract renderEditUI(): JSX.Element | null;
}
